Description

We used the default page parameter.

We set it to zut.htm instead of default.htm.

Now, Configuration application cannot be accessed using http://server/Config/. We have to use complete URL (

http://server/Config/login.htm).

If we set back default page parameter to default.htm, Configuration application can be accessed again via http://server/Config/.

Documentation states that: "Default page" is the default server page when only the server part of the url is given.

So we assumed, only for http://server/ url.

After every parameter change, we reboot the server, according to the documentation.

Is this a documentation misinterpretation or a little bug ?

Thank you

History

#1 - 02/16/2012 07:24 PM - Pierre Marc

- Assignee set to Pierre Marc

#2 - 02/17/2012 09:41 AM - Pierre Marc

- Status changed from New to In Progress

Hi,

We cannot reproduce the issue. When changing the default page to zut.htm (and creating a zut.htm file in the config directory) we can acces to the

config page.

You are right about the document and we are going to change it. Please read:

"Default page" is the default server page when the url points to a directory.

#3 - 02/17/2012 10:08 AM - Lionel Martin

Hi,

It is a little strange, since we cannot only change the root redirection (which points to www.nirva-systems.com) to our application without breaking 

http://server/Config/ link. We would have to create also a copy of Config/default.htm to Config/<new_redirection_file>, and maybe other links in the

future if Nirva server adds some directory.

On the other hand, we cannot change Wroot/default.htm file since it will be erased and replaced at next Nirva server installation.
Anyway, I understand the technical constraints behind, and clarifying the documentation is a good thing.

Thank you for the answer.

#4 - 02/17/2012 10:30 AM - Pierre Marc

- Tested changed from No to Yes

- Status changed from In Progress to Resolved

Yes,

The default page is global to Nirva and is not per directory. However, you can use a different default page at application level. If a url points to an

application directory, the default page is then the application start page as defined in the SETTINGS section of the application dsc file.

The official Nirva login page is server/Config/login.htm.

#5 - 02/20/2012 09:35 AM - Pierre Marc

- Status changed from Resolved to Closed

#6 - 02/20/2012 11:43 AM - Pierre Marc

- Target version set to 4.7.001

- Operating System changed from Windows to Any
